Size (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.core

## Class Size

- java.lang.Object
- - org.opencv.core.Size

-     public class Size
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `height`
    `double` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Size()`
    `Size(double[] vals)`
    `Size(double width, double height)`
    `Size(Point p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `area()`
    `Size` | `clone()`
    `boolean` | `empty()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `void` | `set(double[] vals)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### width

          public double width

    - #### height

          public double height

  - ### Constructor Detail

    - #### Size

          public Size(double width,
                      double height)

    - #### Size

          public Size()

    - #### Size

          public Size(Point p)

    - #### Size

          public Size(double[] vals)

  - ### Method Detail

    - #### set

          public void set(double[] vals)

    - #### area

          public double area()

    - #### empty

          public boolean empty()

    - #### clone

          public Size clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown